/**
 * PDNumberSprite.java
 *
 * @author Jeff Ondich
 * @version 1.0.0
 * date:    02.09.2010
 */

import java.io.*;
import javax.sound.sampled.*;
import javax.swing.*;
import java.awt.*;

public class PDNumberSprite extends Sprite {

    public PDNumberSprite() {
    }

    // Required implementations for abstract superclass Sprite.

    public void draw(Graphics g) {
        Graphics2D g2 = (Graphics2D) g;
        
        Font saveFont = g2.getFont();
        Font newFont = new Font("Arial", Font.PLAIN, 24);
        g2.setFont(newFont);

        Color saveColor = g2.getColor();
        g2.setColor(Color.white);

        Point pos = this.getPosition();
        Point size = this.getSize();
        g2.drawString(this.getName(), (int)pos.getX(), (int)pos.getY());

        g2.setFont(saveFont);
        g2.setColor(saveColor);
    }

    public void makeSound() {
    }
}

