/**
 * PDThermometerPanel.java
 *
 * An example Observer for the Pattern Demo.
 * 
 * @author  Jeff Ondich
 * @version 2.0.0
 * date:    2013.11.12
 */

import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;

public class PDThermometerPanel extends PDPanel
                                implements PDObserver {

    private PDNumberStrategy numberStrategy;

    public PDThermometerPanel() {
        this.setSize(200, 150);
        this.setBackground(new Color(30, 30, 80));
        this.setVisible(true);
    	this.numberStrategy = new PDArabicNumberStrategy();
    }

    public void setNumberStrategy(PDNumberStrategy strategy) {
        this.numberStrategy = strategy;
    }

   public void paint(Graphics g) {
        // Fill this window with its background color.  That is,
        // erase the whole thing. Calling "super.paint(g)" should
        // do the same thing, but some people are finding that they
        // end up with just a gray window if they do that.
        Dimension windowSize = this.getSize();
        g.setColor(this.getBackground());
        g.fillRect(0, 0, windowSize.width, windowSize.height);

        g.setColor(Color.white);
		g.drawLine(windowSize.width * this.cachedValue / 100, 0,
					windowSize.width * this.cachedValue / 100, windowSize.height);
    }

    // PDPanel abstract methods.
    public void applyCachedValue() {
        this.repaint();
    }

    // PDObserver interface.
    public void update(PDSubject subject) {
        this.cachedValue = subject.getValue();
        this.applyCachedValue();
    }
}

